import numpy as np
import scipy.integrate

def fun(x): return x/(1+np.sin(x))

I1,err = scipy.integrate.quad(fun, 0.0, np.pi/2)
print(err)

I2 = scipy.integrate.romberg(fun, 0.0, np.pi/2, show=True)

I = np.log(2.0)

print( "%s%20.15f,%12.2e" % ("quad      :",I1,(I1-I)/I ))
print( "%s%20.15f,%12.2e" % ("romberg   :",I2,(I2-I)/I ))
print( "%s%20.15f"        % ("ln(2)     :",I           ))